#ifndef BILLYSHEET_MENU_HPP
#define BILLYSHEET_MENU_HPP

#include <spdlog/spdlog.h>

namespace gui {
    class GuiData;

    namespace menu {
        class MenuData;

        class Menu final {
        private:
            MenuData &data;
        public:
            Menu() noexcept = delete;

            explicit Menu(MenuData &data) noexcept;

            ~Menu() noexcept = default;

            void gui() const noexcept;

            [[nodiscard]] const MenuData &get_data() const { return data; }
        };
    }
}


#endif //BILLYSHEET_MENU_HPP
